/**
 * @defgroup PlayerPlugins Player Plugins
 * @brief Those little plugins shown between player and playlist
 */

/**
 * @defgroup Bookmarks Bookmarks
 * @ingroup PlayerPlugins
 */

/**
 * @defgroup Equalizer Equalizer
 * @ingroup PlayerPlugins
 */

/**
 * @defgroup Broadcasting Broadcasting
 * @ingroup PlayerPlugins
 */

/**
 * @defgroup Covers Covers
 * @brief Contains everythin about cover management. Logic and UI
 */

 /**
 * @defgroup GuiCovers Gui Classes
 * @brief UI side of cover management
 * @ingroup Covers
 */

/**
 * @defgroup Engine Engine
 * @brief Contains classes used for Sound
 */

/**
 * @defgroup EngineHelper Utilities
 * @ingroup Engine
 */


/** 
 * @defgroup Playlists Playlists
 */

/**
 * @defgroup GuiPlaylists Gui Classes
 * @ingroup Playlists
 */

/**
 * @defgroup Streams Streams
 */

/**
 * @defgroup Icons Icons
 * @ingroup Gui
 */

/**
 * @defgroup Style Style
 * @ingroup Gui
 */

/**
 * @defgroup Preferences Preferences
 * @ingroup Gui
 */

/**
 * @defgroup PlaylistHelper Utilities
 * @brief Classes for handling playlist DB saving and loading
 * @ingroup Playlists
 */


/**
 * @defgroup PlaylistParser Playlist Parser
 * @ingroup Helper
 * @brief Parsers for pls, m3u and asx
 */


/**
 * @defgroup Tagging Tagging
 * @brief Metadata tagging
 */

/**
 * @defgroup Xiph Xiph
 * @brief Xiph related header
 * @ingroup Tagging
 */

/**
 * @defgroup ID3v2 ID3v2
 * @brief ID3v2 related header
 * @ingroup Tagging
 */

/**
 * @defgroup Lyrics Lyrics
 * @ingroup Helper
 */

/**
 * @defgroup Helper Helper
 * @brief everything what's highly reusable
 */

 /**
 * @defgroup FileHelper File Utils
 * @brief everything about files
 * @ingroup Helper
 */

/**
 * @defgroup MetaDataHelper MetaData Helper
 * @ingroup Helper
 */

/**
 * @defgroup Settings Settings
 * @ingroup Helper
 * @brief the Settings framework
 */


/**
 * @defgroup Interfaces Interfaces
 */

/**
 * @defgroup EngineInterfaces Pipeline extensions
 * @brief Extensions for pipelines
 * @ingroup Engine
 */


/**
 * @defgroup Library Library
 * @brief Basic library functions
 */


/**
 * @defgroup LibraryPlugins Library Plugins
 * @brief External library view handling
 * @ingroup Library
 */


/**
 * @defgroup GuiLibrary Gui Classes
 * @brief UI side of library view
 * @ingroup Library
 */

/**
 * @defgroup Gui Gui
 * @brief everything that belongs to the Gui
 */


/**
 * @defgroup EventFilter Event Filter
 * @brief Collection of event filters
 * @ingroup Gui
 */

/**
 * @defgroup Searchable Searchable views and models
 * @brief Collection searchable item views and models
 * @ingroup Gui
 */


/**
 * @defgroup MimeData Mimedata utils
 * @ingroup Gui
 * @brief Everything to handle Mimedata more efficiently
 */

/**
 * @defgroup Widgets Widgets
 * @ingroup Gui
 * @brief Sayonara widgets
 */


/**
 * @defgroup Preferences Preference Dialog
 * @ingroup Gui
 */

/**
 * @defgroup Shortcuts Shortcuts
 * @brief Shortcut handling
 * @ingroup Gui
 */


/**
 * @defgroup GuiDirectories Directory View
 * @brief All classes involved with the directory view
 * @ingroup Gui
 */


/**
 * @defgroup GuiInfoDialog Info dialog
 * @brief All classes involved with the Info Dialog
 * @ingroup Gui
 */

/**
 * @defgroup GuiTagging Gui classes
 * @brief All classes involved with the Gui side of tagging
 * @ingroup Tagging
 */




/**
 * @defgroup Language Language
 * @brief methods to keep convenience between translations
 */

